/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ejbjar.impl.internal;

import org.ow2.util.ee.deploy.api.deployable.EJBDeployable;
import org.ow2.util.ee.metadata.ejbjar.impl.EjbJarDeployableMetadataFactory;
import org.ow2.util.ee.metadata.ejbjar.impl.configurator.EjbJarDeployableMetadataConfigurator;
import org.ow2.util.scan.api.IScanner;

/**
 * Simple class for getting metadata of EJBs.
 * @param <E> an implementation of EJBDeployable
 * @author Florent Benoit
 */
public class DefaultEjbJarDeployableFactory<E extends EJBDeployable<E>>
        extends
        EjbJarDeployableMetadataFactory<E, DefaultEjbJarDeployableMetadata<E>, DefaultEjbJarClassMetadata<E>, DefaultEjbJarMethodMetadata<E>, DefaultEjbJarFieldMetadata<E>> {

    public DefaultEjbJarDeployableFactory() {
    }

    public DefaultEjbJarDeployableFactory(final IScanner scanner) {
        super(scanner);
    }

    @Override
    protected DefaultEjbJarDeployableMetadata<E> createEjbJaDeployableMetadata(final E ejbDeployable) {
        return new DefaultEjbJarDeployableMetadata<E>(ejbDeployable);
    }

    @Override
    protected EjbJarDeployableMetadataConfigurator<E, DefaultEjbJarDeployableMetadata<E>, DefaultEjbJarClassMetadata<E>, DefaultEjbJarMethodMetadata<E>, DefaultEjbJarFieldMetadata<E>> createEjbJarDeployableMetadataConfigurator(
            final E ejbDeployable) {
        return new DefaultEjbJarDeployableMetadataConfigurator<E>(new DefaultEjbJarDeployableMetadata<E>(ejbDeployable));
    }

}
